## jxgrabkey 0.3.2

=== debian/changelog ===
jxgrabkey (0.3.2-9) unstable; urgency=medium

  * Separate build of -arch and -indep targets
  * New patch: separate-ant-targets.patch

 -- Gilles Filippini <pini@debian.org>  Tue, 10 Jan 2017 22:21:28 +0100

jxgrabkey (0.3.2-8) unstable; urgency=medium

  [ Emmanuel Bourg ]
  * debian/control:
    - Use canonical URLs for the Vcs-* fields

  [ Gilles Filippini ]
  * debian/control:
    - Standards-Version updated to 3.9.8 (no changes)

 -- Gilles Filippini <pini@debian.org>  Tue, 10 Jan 2017 19:22:52 +0100

jxgrabkey (0.3.2-7) unstable; urgency=low

  * Install Maven artifacts into /usr/share/maven-repo

 -- Gilles Filippini <pini@debian.org>  Sun, 16 Jun 2013 16:11:52 +0200

jxgrabkey (0.3.2-6) unstable; urgency=low

  * New patch:
    + usleep.patch: Fix FTBFS with gcc-4.7 (Closes: #672093) 

  * Bump Standards-Version to 3.9.3:
    + d/control
    + d/copyright: Machine-readable d/copyright format specification 1.0

 -- Gilles Filippini <pini@debian.org>  Wed, 09 May 2012 23:18:13 +0200

jxgrabkey (0.3.2-5) unstable; urgency=low

  * Multiarch fixes:
    + Build-depends: debhelper (>= 8.1.3~)
    + Pre-Depends: ${misc:Pre-Depends}
    + debian/compat: 9
    + lintian override for tag:
      package-needs-versioned-debhelper-build-depends 9
  * Maintainer: Debian Java maintainers
  * Uploaders: myself
  * Bump Standards-Version to 3.9.2 (no changes needed)

 -- Gilles Filippini <pini@debian.org>  Sat, 22 Oct 2011 19:12:02 +0200

jxgrabkey (0.3.2-4) unstable; urgency=low

  * Multiarch and pdebuild-cross support
  * New patch:
    + buildflags.patch: use build flags defined at build time instead of
      those hard coded into the makefile.

 -- Gilles Filippini <pini@debian.org>  Sat, 22 Oct 2011 11:34:02 +0200

jxgrabkey (0.3.2-3) unstable; urgency=low

  * debian/control:
    + Enforce java6 dependency with a versioned Build-Depends on default-jdk
      instead of java6-sdk.

 -- Gilles Filippini <pini@debian.org>  Mon, 24 Jan 2011 00:39:58 +0100

jxgrabkey (0.3.2-2) unstable; urgency=low

  * debian/control:
    + Enforce java6 dependency
    + Build-Depends to default-jdk-doc to be able to link libjxgrabkey-doc
      against it (Debian policy for java §2.3)
    + Move default-jdk-doc from Depends to Recommends for libjxgrabkey-doc
      (Debian policy for java §2.3)

 -- Gilles Filippini <pini@debian.org>  Sun, 23 Jan 2011 23:45:04 +0100

jxgrabkey (0.3.2-1) unstable; urgency=low

  * Initial release (Closes: #602836)

 -- Gilles Filippini <pini@debian.org>  Wed, 10 Nov 2010 00:43:02 +0100
