=== debian/control ===
Source: jxgrabkey
Section: java
Priority: extra
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Gilles Filippini <pini@debian.org>
Build-Depends: debhelper (>= 8.1.3~), javahelper, default-jdk (>= 1:1.6), ant, libx11-dev,
 maven-repo-helper
Build-Depends-Indep: default-jdk-doc
Standards-Version: 3.9.8
Vcs-Git: git://anonscm.debian.org/collab-maint/jxgrabkey.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/jxgrabkey.git
Homepage: http://jxgrabkey.sourceforge.net/

Package: libjxgrabkey-java
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}, libjxgrabkey-jni
Suggests: libjxgrabkey-doc
Description: X11 hotkey API for java
 JXGrabKey provides an API to make java programs hotkey aware.
 .
 It relies on a jni backend provided by the libjxgrabkey-jni package.

Package: libjxgrabkey-jni
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: X11 hotkey API for java (jni backend)
 JXGrabKey provides an API to make java programs hotkey aware.
 .
 This package holds the architecture dependent jni backend of the java
 library.

Package: libjxgrabkey-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: default-jdk-doc
Description: documentation for libjxgrabkey-java
 This package contains the javadoc API documentation for libjxgrabkey-java
 plus a couple of examples.
