=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

ifeq ($(DEB_HOST_MULTIARCH),$(DEB_BUILD_MULTIARCH))
CXX := g++
CPPFLAGS :=
CXXFLAGS :=
LDFLAGS :=
else
CXX := $(DEB_HOST_MULTIARCH)-g++
CPPFLAGS := -I/usr/$(DEB_HOST_MULTIARCH)/include/$(DEB_HOST_MULTIARCH) -I/usr/include/$(DEB_HOST_MULTIARCH)
CXXFLAGS :=
LDFLAGS :=
endif

export JAVA_HOME=/usr/lib/jvm/default-java

%:
	dh $@ --with javahelper --with jh_maven_repo_helper

override_dh_auto_build-arch:
	mkdir -p JXGrabKey/C++/dist/Release/GNU-Linux-x86
	cd misc/Ant && ant -DCXX="$(CXX)" \
		-DCPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS) $(CPPFLAGS)" \
		-DCXXFLAGS="$(shell dpkg-buildflags --get CXXFLAGS) $(CXXFLAGS)" \
		-DLDFLAGS="$(shell dpkg-buildflags --get LDFLAGS) $(LDFLAGS)" \
		build-jni

override_dh_auto_build-indep:
	cd misc/Ant && ant build-java build-doc

override_dh_auto_configure-arch:
	sed "s/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/" debian/libjxgrabkey-jni.install.in > debian/libjxgrabkey-jni.install

override_dh_auto_clean:
	rm -f JXGrabKey/C++/.dep.inc
	rm -fr JXGrabKey/C++/build
	rm -fr JXGrabKey/Java/build
	rm -fr JXGrabKey/Java/dist
	rm -f JXGrabKey/Java/manifest.mf
	rm -f debian/libjxgrabkey-jni.install

override_dh_installchangelogs:
	dh_installchangelogs -k misc/ReleaseFiles/CHANGELOG.txt
